#!/usr/bin/env python

from __future__ import print_function

import numpy as np
import cPickle as pickle
import matplotlib
matplotlib.use('Agg')
import matplotlib.pyplot as plt


# set snr, run and file location
snr = 8
run = 45
path = './history'

# load in predictions and targets
preds = np.load('{0}/SNR{1}/run{2}/preds.npy'.format(path, snr, run))
targets = np.load('{0}/SNR{1}/run{2}/targets.npy'.format(path, snr, run))

noise_idx = np.where(targets[:,0]==1)
signals_idx = np.where(targets[:,1]==1)

noise = 1.0 - np.asarray(preds[:,0][noise_idx])
signals = np.asarray(preds[:,1][signals_idx])

# make plot
fig = plt.figure()
plt.hist(noise, normed = True, alpha = 0.5,  fc = 'r', label = 'noise')
plt.hist(signals, normed = True , alpha = 0.5, fc = 'g', label= 'signals')
plt.yscale('log')
plt.legend()
fig.savefig('./cnn_output.png')

